| Home | Libraries | People | FAQ | More

## Function template trim_left_copy

boost::algorithm::trim_left_copy — Left trim - parametric.

## Synopsis

    template<typename SequenceT>
      SequenceT trim_left_copy(const SequenceT & Input,
                               const std::locale & Loc = std::locale());

## Description

Remove all leading spaces from the input. The result is a trimmed copy of the input.

Parameters

Input

  An input sequence

Loc

  a locale used for 'space' classification

Returns: A trimmed copy of the input
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba